### execution::relationship_t::fork_t

A sub-property that indicates that the executor does not represent a continuation of the calling context.

    struct fork_t

##### Types

Name | Description
--- | ---
polymorphic_query_result_type | The type returned by queries against an any_executor.

##### Member Functions

Name | Description
--- | ---
fork_t [constructor] | Default constructor.
value [static] | Get the value associated with a property object.

##### Data Members

Name | Description
--- | ---
is_applicable_property_v [static] | The relationship_t::fork_t property applies to executors, senders, and schedulers.
is_preferable [static] | The relationship_t::fork_t property can be preferred.
is_requirable [static] | The relationship_t::fork_t property can be required.

##### Requirements

Header: `asio/execution/relationship.hpp`

Convenience header: `asio/execution.hpp`